%{!?_rel:%{expand:%%global _rel 0.r%(test "1547" != "0000" && echo "1547" || svnversion | sed 's/[^0-9].*$//' | grep '^[0-9][0-9]*$' || echo 0000)}}
%define debug_package %{nil}

Summary: Tools used for clustering with Warewulf
Name: warewulf-cluster
Version: 3.5
Release: %{_rel}
License: US Dept. of Energy (BSD-like)
Group: System Environment/Clustering
URL: http://warewulf.lbl.gov/
Source: %{name}-%{version}.tar.gz
ExclusiveOS: linux
Requires: warewulf-common warewulf-provision
BuildRequires: warewulf-common
Conflicts: warewulf < 3
BuildRoot: %{?_tmppath}%{!?_tmppath:/var/tmp}/%{name}-%{version}-%{release}-root

%description
Warewulf >= 3 is a set of utilities designed to better enable
utilization and maintenance of clusters or groups of computers.

This package contains tools to facilitate management of a Cluster
with Warewulf.

%package node
Summary: Tools used for clustering with Warewulf
Group: System Environment/Clustering
Requires: /sbin/sfdisk

%description node
Warewulf >= 3 is a set of utilities designed to better enable
utilization and maintenance of clusters or groups of computers.

This is the cluster-node module, that is installed onto the
provisioned nodes.

%prep
%setup


%build
%configure
%{__make} %{?mflags}


%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT %{?mflags_install}
cp -r $RPM_BUILD_ROOT/etc/warewulf/vnfs/include/* $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/warewulf/vnfs
rmdir $RPM_BUILD_ROOT/etc/warewulf >/dev/null 2>&1 || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README README.node TODO
%{_sysconfdir}/profile.d/*
%{_bindir}/*
%{_libexecdir}/warewulf/wwinit/*
%{perl_vendorlib}/Warewulf/Module/Cli/*

%files node
%doc AUTHORS COPYING LICENSE README.node
%defattr(-, root, root)
%config(noreplace) /etc/sysconfig/wwfirstboot.conf
/etc/rc.d/init.d/wwfirstboot
%defattr(0755, root, root)
%{_libexecdir}/warewulf/wwfirstboot/*

%post node
chkconfig --add wwfirstboot


%changelog
